Minolta-QMS magicolor 2300 DL :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
Minolta MC 2300 DL on Debian 7 with cups is not responding
Posted by: Legolas1309 ()
Date: October 31, 2014 10:21AM

Hi all of you,
My problem: cups says: "The printer is not responding".
What I did:
- I Installed the Debian packages: printer-driver-foo2zjs, foo2zjs and hannah-foo2zjs
- Then I went through the "Debian Notes" on this homepage:
- apt-get install build-essential tix foomatic-filters groff dc (no error detected)
- $ cd foo2zjs
- $ make
- $ ./getweb 2300dl
- make install install-hotplug cups (no error detected)
- cups: add new printer, > I chose "HP Printer (HPLIP)(Unknown)" (no Minolta visible) and "socket://192.168.178.3" as the printers net-address and "2300dl" as printer driver.
- root: ping 192.168.18.3 is not running.
- cups > admin > admin printer: Shows 2 printer-drivers (Epson and Minolta), which is correct, since a second printer (Epson) is connected via usb and running properly.
- cups > admin > show available printers: Shows no printer at all.
- I connected the Minolta printer via usb, nothing changes.

For me it looks, as if the printer driver is installed, but communication between printer and my pc is not runniung properly.
Any ideas what to do ? Thanks for support

Options: ReplyQuote
Re: Minolta MC 2300 DL on Debian 7 with cups is not responding
Posted by: rickrich ()
Date: October 31, 2014 12:02PM

- cups: add new printer, > I chose "HP Printer (HPLIP)(Unknown)" (no Minolta visible) and "socket://192.168.178.3" as the printers net-address and "2300dl" as printer driver.

This is WRONG! It uses HP's *proprietary* driver and USB interface.

For network:

$ system-config-printer

Device URI: socket://192.168.1.10:9100
Make and Model: Minolta magicolor 2300 DL Foomatic/foo2zjs (recommended)

Try this:
$ cd foo2zjs
$ foo2zjs-wrapper testpage.ps > xxx.prn
$ nc 192.168.1.10 9100 < xxx.prn

Options: ReplyQuote
Re: Minolta MC 2300 DL on Debian 7 with cups is not responding
Posted by: Legolas1309 ()
Date: November 05, 2014 06:42PM

Hi Rickrich, thanks for your quick answer. Yet I do not get the printer running. Maybe I do not understand your hints correctly. What I did:
- In cups I entered your URI socket://192.168.1.10:9100
- Now I could choose Minolta magicolor 2300 DL Foomatic/foo2zjs (recommended).
- cd foo2zjs and (as root) $ foo2zjs-wrapper testpage.ps : PC makes beepbeep for about one second, many unreadible characters are running over the screen. The printer does not move.
- (as root): nc 192.168.1.10 9100 : Nothing happens. I have to unlock the screen (strg c), before entering further commands
What I do not understand:
- "Make and Model: Minolta ...": Shall I enter a further "make" command ?
- I connected the ethernet-plug of the printer to that of my desktop: Will the network connection run automatically ? Or do I have to install and configure a local network (sorry, I am not experienced with networks) ? Or will the network connection have to run over the rooter ?
Thanks for suppoort

Options: ReplyQuote
Re: Minolta MC 2300 DL on Debian 7 with cups is not responding
Posted by: rickrich ()
Date: November 05, 2014 06:50PM

$ cd foo2zjs
$ foo2zjs-wrapper testpage.ps > xxx.prn
$ nc 192.168.1.10 9100 < xxx.prn

NOTE: You need the "> xxx.prn", otherwise it will go to your screen!!!!
ALSO: 192.168.1.10 is my address, yours will be different!!!

If your network is setup correctly:

$ firefox http://192.168.1.10 # replace with your address for the printer!!!

Gives:





Edited 2 time(s). Last edit at 11/05/2014 07:02PM by rickrich.

Options: ReplyQuote
Re: Minolta MC 2300 DL on Debian 7 with cups is not responding, solved for Deb 6.0
Posted by: Legolas1309 ()
Date: January 06, 2015 09:03AM

Hi Rickrich, meanwhile I got the printer running properly on an old Deb 6 (squeeze) system, which has gs V8.7.1 as standard. On Deb 7 (wheezy, contains gs V9.0) I got the 2300DL running almost complete. Remains the saturation problem you described here http://foo2zjs.rkkda.com/forum/read.php?63,3189 due to new buggy gs-versions. My question: How to install an older gs version on Deb 7 (in future Deb 8 etc) and exclude it from "apt-get upgrade" process ?

If I uninstall ghostscript via DebianĀ“s synaptic-tool, 15 dependent programs (including complete cups server) will be uninstalled. Is this the recommended way ? In a german Debian forum I got the hint to install a chroot (no idea, what this is). Or should I try to copy program folders from Deb 6 to Deb 7 system ?

Do you have a step by step description or know, where to find one ? I am not so experienced in installing, but probably not the first being challenged with this. Thanks

Options: ReplyQuote
Re: Minolta MC 2300 DL on Debian 7 with cups is not responding
Posted by: rickrich ()
Date: January 06, 2015 09:22AM

See "GHOSTSCRIPT BUGS" in INSTALL. Basically, you install it as "gs.foo".
        $ wget "http://ghostscript.com/releases/ghostscript-8.71.tar.gz";
        $ tar zxf ghostscript-8.71.tar.gz
        $ cd ghostscript-8.71
        $ ./autogen.sh
        $ make
        $ su                            OR $ sudo cp bin/gs /usr/bin/gs.foo
        # cp bin/gs /usr/bin/gs.foo

        (Optional)
        # make install                  OR $ sudo make install

        $ gs.foo --version
        8.71

      If that doesn't compile (e.g. Ubuntu 11.10+), try this:
        $ cd ghostscript-8.71
        $ ./configure  --without-jbig2dec
        $ make CFLAGS+="-DHAVE_SYS_TIME_H=1"



Edited 1 time(s). Last edit at 01/06/2015 09:24AM by rickrich.

Options: ReplyQuote
Re: Minolta MC 2300 DL on Debian 7 with cups is not responding
Posted by: Legolas1309 ()
Date: November 29, 2015 09:22AM

Meanwhile I asked in
http://forums.debian.net/viewtopic.php?f=5&t=125821&p=600277#p600277
how to downgrade gs_9.06 to gs_8.71 in Debian8 without damaging the system. They recomend to try a gs-patch, since too many stuff depends on gs. So I went to the ghostscript forum
http://bugs.ghostscript.com/show_bug.cgi?id=696179

Up to now no of their proposals solves the saturation problem. They asked me to inform the author of the foo2zjs-driver. Maybe you can support them to find the ghostscript bug or at least to make my bugreport more precise.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.